AppCode starts 2017.3.1 EAP

Hi everyone,

Today we are starting AppCode 2017.3.1 Early Access Program and the first build is already available on our site. Note that this build requires an active subscription.

The following fixes and improvements are included:

  • AppCode now uses the same DerivedData as Xcode (OC-13193)
  • Xcode 9.2 is now supported
  • Fix for the false Parameter type mismatch… warning for void type in mixed Objective-C/Swift code (OC-16319)
  • Problem with resolving symbols from the project framework with Xcode 9.x set in preferences (OC-16313)
  • Correct type inference for oldValue/newValue in local and global variables (OC-16320)
  • Support for synthetic keyPath subscripts (OC-16178)

For the full list of fixes please see the release notes.

Your AppCode team
JetBrains
The Drive to Develop

This entry was posted in Announcement and tagged , . Bookmark the permalink.

One Response to AppCode starts 2017.3.1 EAP

Leave a Reply

Your email address will not be published. Required fields are marked *